Source: maven-dependency-plugin
Version: 2.8-1
Severity: serious
Tags: buster sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20170805 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part (hopefully):
>  debian/rules build
> dh build --buildsystem=maven
>    dh_update_autotools_config -O--buildsystem=maven
>    dh_auto_configure -O--buildsystem=maven
>       mh_patchpoms -plibmaven-dependency-plugin-java --debian-build 
> --keep-pom-version --maven-repo=/<<PKGBUILDDIR>>/debian/maven-repo
>    dh_auto_build -O--buildsystem=maven
>       /usr/lib/jvm/default-java/bin/java -noverify -cp 
> /usr/share/maven/boot/plexus-classworlds-2.x.jar:/usr/lib/jvm/default-java/lib/tools.jar
>  -Dmaven.home=/usr/share/maven 
> -Dmaven.multiModuleProjectDirectory=/<<PKGBUILDDIR>> 
> -Dclassworlds.conf=/etc/maven/m2-debian.conf 
> -Dproperties.file.manual=/<<PKGBUILDDIR>>/debian/maven.properties 
> org.codehaus.plexus.classworlds.launcher.Launcher 
> -s/etc/maven/settings-debian.xml -Ddebian.dir=/<<PKGBUILDDIR>>/debian 
> -Dmaven.repo.local=/<<PKGBUILDDIR>>/debian/maven-repo package -DskipTests 
> -Dnotimestamp=true -Dlocale=en_US
> [INFO] Scanning for projects...
> [WARNING] 
> [WARNING] Some problems were encountered while building the 
> effective model for 
> org.apache.maven.plugins:maven-dependency-plugin:maven-plugin:2.8
> [WARNING] 
> 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be 
> unique: org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar -> 
> duplicate declaration of version debian @ line 228, column 15
> [WARNING] 
> [WARNING] It is highly recommended to fix these problems because 
> they threaten the stability of your build.
> [WARNING] 
> [WARNING] For this reason, future Maven versions might no longer 
> support building such malformed projects.
> [WARNING] 
> [INFO] 
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Building Maven Dependency Plugin 2.8
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] 
> [INFO] --- maven-plugin-plugin:3.5:helpmojo 
> (help-goal) @ maven-dependency-plugin ---
> [WARNING] Using platform encoding (ANSI_X3.4-1968 actually) to read 
> mojo source files, i.e. build is platform dependent!
> [INFO] java-javadoc mojo extractor found 0 mojo descriptor.
> [WARNING] Unable to get sources artifact for 
> org.apache.maven.reporting:maven-reporting-impl:debian. Some javadoc tags 
> (@since, @deprecated and comments) won't be used
> [INFO] java-annotations mojo extractor found 0 mojo descriptor.
> [INFO] 
> [INFO] --- maven-resources-plugin:3.0.2:resources 
> (default-resources) @ maven-dependency-plugin ---
> [WARNING] Using platform encoding (ANSI_X3.4-1968 actually) to copy 
> filtered resources, i.e. build is platform dependent!
> [INFO] Copying 6 resources
> [INFO] 
> [INFO] --- maven-compiler-plugin:3.6.1:compile 
> (default-compile) @ maven-dependency-plugin ---
> [WARNING] The POM for 
> org.codehaus.plexus:plexus-compiler-api:jar:2.x is invalid, transitive 
> dependencies (if any) will not be available, enable debug logging for more 
> details
> [WARNING] The POM for 
> org.codehaus.plexus:plexus-compiler-javac:jar:2.x is invalid, transitive 
> dependencies (if any) will not be available, enable debug logging for more 
> details
> [INFO] Changes detected - recompiling the module!
> [WARNING] File encoding has not been set, using platform encoding 
> ANSI_X3.4-1968, i.e. build is platform dependent!
> [INFO] Compiling 49 source files to /<<PKGBUILDDIR>>/target/classes
> Use of target 1.5 is no longer supported, switching to 1.7
> Use of source 1.5 is no longer supported, switching to 1.7
> [INFO] 
> /<<PKGBUILDDIR>>/src/main/java/org/apache/maven/plugin/dependency/AbstractDependencyMojo.java:
>  Some input files use or override a deprecated API.
> [INFO] 
> /<<PKGBUILDDIR>>/src/main/java/org/apache/maven/plugin/dependency/AbstractDependencyMojo.java:
>  Recompile with -Xlint:deprecation for details.
> [INFO] 
> /<<PKGBUILDDIR>>/src/main/java/org/apache/maven/plugin/dependency/resolvers/ListRepositoriesMojo.java:
>  Some input files use unchecked or unsafe operations.
> [INFO] 
> /<<PKGBUILDDIR>>/src/main/java/org/apache/maven/plugin/dependency/resolvers/ListRepositoriesMojo.java:
>  Recompile with -Xlint:unchecked for details.
> [INFO] -------------------------------------------------------------
> [ERROR] COMPILATION ERROR : 
> [INFO] -------------------------------------------------------------
> [ERROR] 
> /<<PKGBUILDDIR>>/src/main/java/org/apache/maven/plugin/dependency/utils/DependencySilentLog.java:[31,8]
>  org.apache.maven.plugin.dependency.utils.DependencySilentLog is not abstract 
> and does not override abstract method setThreshold(int) in 
> org.codehaus.plexus.logging.Logger
> [INFO] 1 error
> [INFO] -------------------------------------------------------------
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Total time: 2.634 s
> [INFO] Finished at: 2017-08-06T20:18:23Z
> [INFO] Final Memory: 37M/1177M
> [INFO] 
> ------------------------------------------------------------------------
> [ERROR] Failed to execute goal 
> org.apache.maven.plugins:maven-compiler-plugin:3.6.1:compile 
> (default-compile) on project maven-dependency-plugin: 
> Compilation failure
> [ERROR] 
> /<<PKGBUILDDIR>>/src/main/java/org/apache/maven/plugin/dependency/utils/DependencySilentLog.java:[31,8]
>  org.apache.maven.plugin.dependency.utils.DependencySilentLog is not abstract 
> and does not override abstract method setThreshold(int) in 
> org.codehaus.plexus.logging.Logger
> [ERROR] 
> [ERROR] -> [Help 1]
> [ERROR] 
> [ERROR] To see the full stack trace of the errors, re-run Maven 
> with the -e switch.
> [ERROR] Re-run Maven using the -X switch to enable full 
> debug logging.
> [ERROR] 
> [ERROR] For more information about the errors and possible 
> solutions, please read the following articles:
> [ERROR] [Help 1] 
> http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
> dh_auto_build: /usr/lib/jvm/default-java/bin/java -noverify -cp 
> /usr/share/maven/boot/plexus-classworlds-2.x.jar:/usr/lib/jvm/default-java/lib/tools.jar
>  -Dmaven.home=/usr/share/maven 
> -Dmaven.multiModuleProjectDirectory=/<<PKGBUILDDIR>> 
> -Dclassworlds.conf=/etc/maven/m2-debian.conf 
> -Dproperties.file.manual=/<<PKGBUILDDIR>>/debian/maven.properties 
> org.codehaus.plexus.classworlds.launcher.Launcher 
> -s/etc/maven/settings-debian.xml -Ddebian.dir=/<<PKGBUILDDIR>>/debian 
> -Dmaven.repo.local=/<<PKGBUILDDIR>>/debian/maven-repo package -DskipTests 
> -Dnotimestamp=true -Dlocale=en_US returned exit code 1
> debian/rules:6: recipe for target 'build' failed
> make: *** [build] Error 1

The full build log is available from:
   
http://aws-logs.debian.net/2017/08/05/maven-dependency-plugin_2.8-1_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to